GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "fe1de9c3-02e1-4b40-92bb-74fe87fb946b",
"private_locations": [
{
"private_location_id": "cd1fbfb5-cc1c-4b90-b7a8-8fce26ec4337",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "12b883db-9be2-47c2-afc0-cc92cb68b91c"
},
{
"private_location_id": "00c05358-2ece-4fbe-bc05-14dff6f7ba80",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f9d4cd2c-ca03-46fe-aef4-ef8194ecdd37"
},
{
"private_location_id": "3e5e3470-a24d-41d8-bc6d-d0bcd9101cd8",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0994fd2e-7090-4c68-ad73-283ae9cf4c4d"
}
]
},
{
"access_group": "70af2f85-022a-4456-bde2-e3d5701f39ef",
"private_locations": [
{
"private_location_id": "cd1fbfb5-cc1c-4b90-b7a8-8fce26ec4337",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "12b883db-9be2-47c2-afc0-cc92cb68b91c"
},
{
"private_location_id": "3e5e3470-a24d-41d8-bc6d-d0bcd9101cd8",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0994fd2e-7090-4c68-ad73-283ae9cf4c4d"
},
{
"private_location_id": "3e5e3470-a24d-41d8-bc6d-d0bcd9101cd8",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0994fd2e-7090-4c68-ad73-283ae9cf4c4d"
}
]
},
{
"access_group": "98a640a1-1eee-4be3-a56a-f4cb966d33cc",
"private_locations": [
{
"private_location_id": "00c05358-2ece-4fbe-bc05-14dff6f7ba80",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f9d4cd2c-ca03-46fe-aef4-ef8194ecdd37"
},
{
"private_location_id": "3e5e3470-a24d-41d8-bc6d-d0bcd9101cd8",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0994fd2e-7090-4c68-ad73-283ae9cf4c4d"
},
{
"private_location_id": "3e5e3470-a24d-41d8-bc6d-d0bcd9101cd8",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0994fd2e-7090-4c68-ad73-283ae9cf4c4d"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |